Name:		subdownloader
Version:	2.0.18
Release:	8%{?dist}
Summary:	Program for download/upload subtitles for video files and DVDs
Group:		Applications/Multimedia
# "modules/progressbar.py is LGPLv2+, everything else is GPLv3+"
License:	GPLv3+ and LGPLv2+
URL:		http://www.subdownloader.net/
Source0:	http://launchpad.net/%{name}/trunk/%{version}/+download/%{name}_%{version}.orig.tar.gz
Patch1:     554_553.diff
Patch2:     555_554.diff
Patch3:     556_555.diff
Patch4:     557_556.diff
Patch5:     download_logged_in.patch
BuildArch:	noarch
BuildRequires:	gettext desktop-file-utils python2-devel
Requires:	python >= 2.3.5-7, PyQt4, python-kaa-metadata, python-crypto	

%description
SubDownloader is a Free Open Source tool written in Python
for automatic download/upload subtitles for video files 
(DIVX,MPEG,AVI,VOB,etc) and DVD's using fast hashing.

%prep
%setup -q -n %{name}-%{version}
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0

rm -rf modules/mmpython
rm -rf modules/SDService.py.orig
sed -i 's/#\!\/usr\/bin\/env python//g' cli/*.py
sed -i 's/#\!\/usr\/bin\/env python//g' languages/*.py
sed -i 's/#\!\/usr\/bin\/env python//g' FileManagement/*.py
sed -i 's/#\!\/usr\/bin\/env python//g' modules/*.py
sed -i 's/#\!\/usr\/bin\/python//g' modules/*.py
sed -i 's/#\!\/usr\/bin\/env python//g' gui/*.py
sed -i 's#/usr/share/subdownloader#%{python2_sitelib}/%{name}#g' subdownloader.desktop
# submitted as bugreport 361416
sed -i 's#/usr/share/subdownloader#%{python2_sitelib}/%{name}#g' gui/main.py
chmod -x README ChangeLog

%build
# compile scripts
python -mcompileall .

%install
mkdir -p %{buildroot}%{python2_sitelib}/%{name}
chmod +x run.py
cp -a run.py FileManagement cli gui languages modules %{buildroot}%{python2_sitelib}/%{name}
mkdir -p %{buildroot}%{_bindir}
ln -s %{python_sitelib}/%{name}/run.py %{buildroot}%{_bindir}/%{name}
mkdir -p %{buildroot}%{_datadir}
rm -f locale/*/LC_MESSAGES/%{name}.po* locale/%{name}.pot
cp -a locale %{buildroot}%{_datadir}/locale
install -D -m 0644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1
install -D -m 0644 gui/images/%{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

desktop-file-install subdownloader.desktop --dir %{buildroot}%{_datadir}/applications \
  --add-category X-AudioVideoImport
#ln -s ../..%{python2_sitelib}/%{name}/run.py %{buildroot}%{_bindir}/subdownloader
%find_lang %{name}


%files -f %{name}.lang
%doc README ChangeLog
%license COPYING
%{python2_sitelib}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}.1*
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.png

%changelog
* Tue Apr 19 2016 Sérgio Basto <sergio@serjux.com> - 2.0.18-8
- Copy some scripts from opensuse rpm [1],  use gui/images/subdownloader.png instead
  SOURCE1.
  [1] https://build.opensuse.org/package/show/multimedia:apps/subdownloader
- Add license tag.

* Thu Apr 07 2016 Sérgio Basto <sergio@serjux.com> - 2.0.18-7
- Add patch from bug #1299172 .
- Add patches 554_553.diff, 555_554.diff, 556_555.diff and 557_556.diff from
  upstream.
- Spec cleanups and use python2_sitelib.

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.18-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.18-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.18-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.18-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Nov 18 2012 Jan Klepek <jan.klepek at, gmail.com> - 2.0.18-1
- update to new version

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.14-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jan 6 2011 Jan Klepek <jan.klepek at, gmail.com> - 2.0.14-1
- new version released

* Fri Sep 3 2010 Jan Klepek <jan.klepek at, gmail.com> - 2.0.13-1
- new version released

* Mon Mar 15 2010 Jan Klepek <jan.klepek at, gmail.com> - 2.0.10-1
- new version released

* Wed Nov 11 2009 Jan Klepek <jan.klepek at, gmail.com> - 2.0.9.3-6
- disabled auto-update checks

* Wed Oct 07 2009 Jan Klepek <jan.klepek at, gmail.com> - 2.0.9.3-5
- fixed desktop file and locale handling

* Sun Sep 27 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> 2.0.9.3-4
- Update desktop file according to F-12 FedoraStudio feature

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.9.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Apr 10 2009 Jan Klepek <jan.klepek at, gmail.com> 2.0.9.3-2
- added desktop-file-utils into BuildRequires

* Mon Mar 16 2009 Jan Klepek <jan.klepek at, gmail.com> 2.0.9.3-1
- initial version of rpm package
